﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CopyCenter
{
    /// <summary>
    /// Логика взаимодействия для CardsWindow.xaml
    /// </summary>
    public partial class CardsWindow : Window
    {
        gr672_liiEntities db;
        public CardsWindow()
        {
            InitializeComponent();
            db = new gr672_liiEntities();
            comboBox1.ItemsSource = db.Clients.ToList();
            comboBox1.DisplayMemberPath = "NameClient";
            comboBox1.SelectedValuePath = "idClient";
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            MenuWindow mw = new MenuWindow();
            mw.Show();
            this.Close();
        }

        private void Add(object sender, RoutedEventArgs e)
        {
            Insert(Number.Text, TypeCard.Text, comboBox1.SelectedValue.ToString());

        }

        private void Delete(object sender, RoutedEventArgs e)
        {
            //Delete(Number.Text, TypeCard.Text, comboBox1.SelectedValue.ToString());

            //var result = MessageBox.Show("Вы точно хотите удалить карту?", "Подтверждение", MessageBoxButton.YesNo, MessageBoxImage.Question);
            //if (result == MessageBoxResult.Yes)
            //{
            //    Card card = (Card)CardsList.SelectedItem;
            //    db.Cards.Remove(card);
            //    db.SaveChanges();
            //    MessageBox.Show("Успешно удалена дисконтная карта");
            //    CardsList.ItemsSource = db.Services.ToList();
            //}
        }

        private void Update(object sender, RoutedEventArgs e)
        {
            Update(Number.Text, TypeCard.Text, comboBox1.SelectedValue.ToString());

            //if (Number.Text == "" || TypeCard.Text == "" || comboBox1.SelectedValue.ToString() == "")
            //{
            //    MessageBox.Show("Введено неверное значение");
            //    return;
            //}
            //int num = 0;
            //int.TryParse(ID.Text, out num);
            //var uRow = db.Cards.Where(w => w.idCard == num).FirstOrDefault();
            //uRow.NumberCard = Convert.ToInt32(Number.Text);
            //uRow.TypeCard = TypeCard.Text;
            //uRow.idClient = Convert.ToInt32(comboBox1.SelectedValue.ToString());

            //db.SaveChanges();
            //MessageBox.Show("Успешно отредактировано поле");
            //CardsList.ItemsSource = db.Cards.ToList();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            db = new gr672_liiEntities();
            CardsList.ItemsSource = db.Cards.ToList();
        }

        public bool Insert(string Number, string TypeCard, string idClient)
        {
            gr672_liiEntities db = new gr672_liiEntities();
            if (Number == "" || TypeCard == "" || idClient == "")
            {
                MessageBox.Show("Введено неверное значение");
                return false;
            }
            MessageBox.Show("Успешно добавлена дисконтная карта");
            return true;
        }

        //public bool Delete(string NameClient, string TypeClient, string idClient)
        //{ 
        //var result = MessageBox.Show("Вы точно хотите удалить карту?", "Подтверждение", MessageBoxButton.YesNo, MessageBoxImage.Question);
        //if (result == MessageBoxResult.Yes)
        //{
        //    Card card = (Card)CardsList.SelectedItem;
        //db.Cards.Remove(card);
        //    db.SaveChanges();
        //    MessageBox.Show("Успешно удалена дисконтная карта");
        //    CardsList.ItemsSource = db.Services.ToList();
        //        return true;
        //}

        public bool Update(string Number, string TypeCard, string idClient)
        {

            if (Number == "" || TypeCard == "" || idClient == "")
            {
                MessageBox.Show("Введено неверное значение");
                return false;
            }
            int num = 0;
            int.TryParse(ID.Text, out num);
            var uRow = db.Cards.Where(w => w.idCard == num).FirstOrDefault();
            uRow.NumberCard = Convert.ToInt32(Number);
            uRow.TypeCard = TypeCard;
            uRow.idClient = Convert.ToInt32(comboBox1.SelectedValue.ToString());

            db.SaveChanges();
            MessageBox.Show("Успешно отредактировано поле");
            CardsList.ItemsSource = db.Cards.ToList();
            return true;
        }

    }
}

